Get Employee Mappings
curl --request GET \
--url https://api.twine.se/v1/org/employees/mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/employees/mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/employees/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"employee_id": "<string>",
"external_id": "<string>",
"id": "<string>",
"inserted_at": "2023-11-07T05:31:56Z",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z",
"system_integration_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}EmployeeMappings
Get Employee Mappings
Get a list of employee mappings for a given organization. Supports cursor-based pagination and filtering.
Permissions required: Employee: List, SystemIntegration: List
GET
/
v1
/
org
/
employees
/
mappings
Get Employee Mappings
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Filter parameters for Employee mappings Parameters for Employee mapping filtering
Show child attributes
Show child attributes
⌘I